import { HttpClient } from '@angular/common/http';
import { ConfigService, ServiceBase } from '@yukawa/chain-base-angular-client';
import { Observable } from 'rxjs';
import { Credentials, User } from '../../model/user';
import { AuthServiceProvider } from '../../providers/AuthServiceProvider';
import { UserService } from '../user';
import { AuthServiceBase } from './AuthServiceBase';
import { IAuthService, IAuthTokenResponse } from './IAuthService';
import * as i0 from "@angular/core";
export declare const authServiceFactory: (provider: AuthServiceProvider) => ServiceBase<User>;
export declare class AuthService extends AuthServiceBase implements IAuthService {
    constructor(_httpClient: HttpClient, _userInfoService: UserService, _configService: ConfigService);
    login(credentials: Credentials): Observable<User>;
    refresh(sessionToken: IAuthTokenResponse): Observable<IAuthTokenResponse>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthService>;
}
