import { HttpClient } from '@angular/common/http';
import { ConfigService, EventDelegate, ServiceBase } from '@yukawa/chain-base-angular-client';
import { Observable } from 'rxjs';
import { Nullable } from 'simplytyped';
import { Session } from '../../model';
import { Credentials, User } from '../../model/user';
import { LoginRequestEventArgs } from '../auth';
import { UserService } from '../user';
import { IAuthRefreshResponse, IAuthService, IAuthTokenResponse } from './IAuthService';
export declare abstract class AuthServiceBase extends ServiceBase<User> implements IAuthService {
    protected readonly _userService: UserService;
    protected readonly _configService: Nullable<ConfigService>;
    protected readonly _httpClient: Nullable<HttpClient>;
    private _loginRequest;
    protected constructor(_userService: UserService, _configService: Nullable<ConfigService>, _httpClient: Nullable<HttpClient>);
    get loginRequest(): EventDelegate<this, LoginRequestEventArgs>;
    get isAuthenticated(): boolean;
    restore(sessionToken?: IAuthTokenResponse): Observable<Session>;
    logout(): void;
    protected doWork(workerName: string, observable: Observable<IAuthTokenResponse>): Observable<User>;
    abstract login(credentials: Credentials): Observable<User>;
    abstract refresh(sessionToken: IAuthTokenResponse): Observable<IAuthRefreshResponse>;
}
